DEVICE={{ item[1]|string }}
TYPE=Ethernet
BOOTPROTO=none
BRIDGE={{ item[0]['device']|string }}

{% if item[0]['onboot'] is defined and item[0]['onboot']|string|length > 0 %}
ONBOOT={{ item[0]['onboot']|string }}
{% endif %}

{% if ansible_distribution_major_version is version_compare('7','>=') %}
NM_CONTROLLED=no
{% endif %}

{% if item[1] is match('.*\.\d{1,4}') %}
VLAN=yes
{% endif %}

{% if item[0]['mtu'] is defined and item[0]['mtu']|string|length > 0 %}
MTU={{ item[0]['mtu'] }}
{% endif %}
